net.sourceforge.jnlp

## Class LaunchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.sourceforge.jnlp.LaunchException

All Implemented Interfaces:
  java.io.Serializable

    public class LaunchException
    extends java.lang.Exception

Thrown when a JNLP application, applet, or installer could not be created.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `LaunchException.LaunchExceptionWithStamp`

### Constructor Summary

Constructors
Constructor and Description
`LaunchException(JNLPFile file, java.lang.Exception cause, java.lang.String severity, java.lang.String category, java.lang.String summary, java.lang.String description)` Creates a LaunchException without detail message.
`LaunchException(java.lang.String message)` Constructs a LaunchException with the specified detail message.
`LaunchException(java.lang.String message, java.lang.Throwable cause)` Creates a LaunchException with a cause and detail message
`LaunchException(java.lang.Throwable cause)` Creates a LaunchException with a cause.

### Method Summary

Methods
`java.lang.String` `getCategory()` Returns the category string, a short description of the exception suitable for displaying in a window title.
`java.lang.String` `getDescription()` Return a description of the exception and the action being performed when the exception occurred.
`JNLPFile` `getFile()` Returns the JNLPFile being launched.
`static java.util.List<LaunchException.LaunchExceptionWithStamp>` `getLaunchExceptionChain()`
`java.lang.String` `getSeverity()` Returns a short description of the severity of the problem.
`java.lang.String` `getSummary()` Returns a one-sentence summary of the problem.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LaunchException

    public LaunchException(JNLPFile file,
                   java.lang.Exception cause,
                   java.lang.String severity,
                   java.lang.String category,
                   java.lang.String summary,
                   java.lang.String description)

Creates a LaunchException without detail message.

#### LaunchException

    public LaunchException(java.lang.Throwable cause)

Creates a LaunchException with a cause.

#### LaunchException

    public LaunchException(java.lang.String message,
                   java.lang.Throwable cause)

Creates a LaunchException with a cause and detail message

#### LaunchException

    public LaunchException(java.lang.String message)

Constructs a LaunchException with the specified detail message.

Parameters:
  `message` - the detail message

### Method Detail

#### getFile

    public JNLPFile getFile()

Returns the JNLPFile being launched.

#### getCategory

    public java.lang.String getCategory()

Returns the category string, a short description of the exception suitable for displaying in a window title.

#### getSummary

    public java.lang.String getSummary()

Returns a one-sentence summary of the problem.

#### getDescription

    public java.lang.String getDescription()

Return a description of the exception and the action being performed when the exception occurred.

#### getSeverity

    public java.lang.String getSeverity()

Returns a short description of the severity of the problem.

#### getLaunchExceptionChain

    public static java.util.List<LaunchException.LaunchExceptionWithStamp> getLaunchExceptionChain()